Subject: [Fwd: Re: [manet] MAC layer]

From: John Stine <[email-masked]>
Date: Mon, 24 Nov 2003 14:19:18 -0500

Actually, the biggest issue is not knowing which channel to
transmit on but knowing which channel to listen to.  The problem
is that in ad hoc networks, broadcasting is essential to link and
topology discovery.  Nodes must share a channel to receive
broadcasts.  Say we use receiver directed codes for peer-to-peer
packets.  From the
transmitters point of view the solution is simple, use the
broadcast code to broadcast packets and use the receiver directed
code of the destination for peer-to-peer packets.   In an
asynchronous protocol like 802.11, an active node does not when it
will receive a packet nor if the next packet it will receive will
be broadcast or
peer-to-peer.  It really isn't possible for it to know which
channel to listen to.

A second issue in carrier sensing protocols such as 802.11 is that
getting a benefit from CDMA requires relaxing the carrier sensing
and virtual sensing mechanisms which can result in a near-far
condition.   A contender may start transmitting during its
neighbor's reception since it does not defer as it would if it
were virtual
sensing.  Even though it uses a different code, the contender may
interfere with the ongoing reception on account of its relative
proximity to that node.

John

#LI ZHIFEI# wrote:

> Hi,
>
> I think your question is: why CDMA is not used in ad hoc networks? I also try to figure out the reasons.
> I have the following reasons:
> (1) since ad hoc network is fully distributed, how to make the code orthogonal, and how to make the sender be aware of the code it should use before transmitting?
> (2) again, due to the distributed nature, how to do the power control to cope with the inteference which is ensential for cdma system?
>
> However, the above difficulties do not mean that we should not try to apply CDMA into ad hoc networks. In fact, there is a paper talking about CDMA in ad hoc networks
> in mobihoc 2003. The author is also on this list, and maybe he can give us his understanding.
>
> Also, it seems that in the literature about packet radio networks ( ad hoc networks developed for military use during 1970s), they normally use CDMA for security reason (i.e., jamming as you have mentioned). However, now there are very few papers talking about CDMA in ad hoc networks. Reasearch is really a little bit strange :).
>
> Best regards
> Li zhifei
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of Ioannis C. Avramopoulos
> Sent: dissabte, 22 / novembre / 2003 12:33
> To: [email-masked]
> Subject: [manet] MAC layer
>
> Dear fellows,
>
> I have a question on the MAC layer used in ad hoc networks.
>
> In 802.11 nodes share the medium, i.e. they use the same
> frequency hopping pattern or chip sequence. Had nodes used
> orthogonal hopping patterns, spectrum utilization would
> significantly increase and, furthermore, the impact of
> malicious nodes with respect to jamming would be severely
> mitigated.
>
> I am interested in the reasons that schemes of the latter
> type are not considered in the ad hoc community. I would
> appreciate it if you could point me to any papers discussing
> such issues.
>
> Kind regards,
> Yannis
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet